#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Demo for accessing user channels that is collected during
```
Shared angles-of-departure in massive MIMO channels:
    Correlation analysis and performance impact
```
@author: Xu Du
"""

from lib import ota_lib

# Demo 1: access a single frame channel for each location in each cluster
all_cluster_location_channels = ota_lib.get_all_cluster_measured_channel()

for (
    cluster_name,
    single_cluster_channels,
) in all_cluster_location_channels.items():
    print(f"In Cluster {cluster_name}")
    for location_idx, channels in single_cluster_channels.items():
        print(f"User at location {location_idx} has channel {channels.shape}")


# Demo 2: each mobile user channels each with > 1500 frames.
# by treating measured channels of all locations in each cluster as channels of
# a mboile user moving randomly inside each cluster.
all_cluster_location_channels = ota_lib.get_single_cluster_channel_mobile()
for cluster_name, mobile_user_channels in all_cluster_location_channels.items():
    print(
        f"User at Cluster {cluster_name} has channel {mobile_user_channels.shape}"
    )
